RECORD(3)

NAME
packet.record - Record module

DESCRIPTION

Provides the object for a record and the string representation of the record in a tcpdump trace file.

CLASSES

  class Record(baseobj.BaseObj)
Record object

Usage:
    from packet.record import Record

    x = Record(pktt, data)

Object definition:

Record(
    frame       = int,   # Frame number
    index       = int,   # Packet number
    seconds     = int,   # Seconds
    usecs       = int,   # Microseconds
    length_inc  = int,   # Number of bytes included in trace
    length_orig = int,   # Number of bytes in packet
    secs        = float, # Absolute seconds including microseconds
    rsecs       = float, # Seconds relative to first packet
)

Methods defined here:
---------------------

__init__(self, pktt, data)
Constructor

Initialize object's private data.

    pktt:
        Packet trace object (packet.pktt.Pktt) so this layer has
        access to the parent layers.

    data:
        Raw packet data for this layer.

__str__(self)
String representation of object

The representation depends on the verbose level set by debug_repr().
If set to 0 the generic object representation is returned.
If set to 1 the representation of the object is condensed to display
either or both the frame or packet numbers and the timestamp:
    '57 2014-03-16 13:42:56.530957 '

If set to 2 the representation of the object also includes the number
of bytes on the wire, number of bytes captured and a little bit more

    verbose:

SEE ALSO
baseobj(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)